# Deprecated Properties

This page lists [solution_name]'s deprecated properties; for both active and deprecated properties, refer to [all properties](all-properties.md).


## [sbt](detectors/sbt.md)

| Property | Description |
| --- | --- |
| [detect.sbt.excluded.configurations](detectors/sbt.md#sbt-configurations-excluded-deprecated) | SBT Configurations Excluded: The names of the sbt configurations to exclude. <br /><br /> **DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. It will be removed in 8.0.0.** |
| [detect.sbt.included.configurations](detectors/sbt.md#sbt-configurations-included-deprecated) | SBT Configurations Included: The names of the sbt configurations to include. <br /><br /> **DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. It will be removed in 8.0.0.** |
| [detect.sbt.report.search.depth](detectors/sbt.md#sbt-report-search-depth-deprecated) | default: 3 <br /><br /> SBT Report Search Depth: Depth the sbt detector will use to search for report files. <br /><br /> **DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. It will be removed in 8.0.0.** |


## [project](configuration/project.md)

| Property | Description |
| --- | --- |
| [detect.bom.aggregate.name](configuration/project.md#aggregate-bdio-file-name-deprecated) | Aggregate BDIO File Name: If set, this will aggregate all the BOMs to create a single BDIO file with the filename provided. <br /><br /> **DEPRECATED: This property is being removed, use detect.bdio.file.name to control the name of the bdio file Detect generates, currently it works the same as this property. In the future, Detect will only operate in SUBPROJECT aggregation mode and the new property will not control aggregation, only the file name. It will be removed in 8.0.0.** |
| [detect.bom.aggregate.remediation.mode](configuration/project.md#bdio-aggregate-remediation-mode-deprecated) | default: TRANSITIVE <br /><br />  Acceptable Values: DIRECT, TRANSITIVE, SUBPROJECT <br /><br />BDIO Aggregate Remediation Mode: If an aggregate BDIO file is being generated and this property is set to DIRECT, the aggregate BDIO file will exclude code location nodes from the top layer of the dependency tree to preserve the correct identification of direct dependencies in the resulting Black Duck BOM. When this property is set to TRANSITIVE (the default), component source information is preserved by including code location nodes at the top of the dependency tree, but all components will appear as TRANSITIVE in the BOM. SUBPROJECT aggregation mode provides both component source information and correct identification of direct and transitive dependencies by encoding code location nodes as subprojects in the graph. SUBPROJECT aggregation mode must only be used with Black Duck 2021.8.0 or later, and has no effect (is equivalent to TRANSITIVE mode) when detect.bdio2.enabled is set to false. <br /><br /> **DEPRECATED: This property is being removed, along with the ability to set the aggregation mode. Detect will only operate in SUBPROJECT aggregation mode to more accurately report the dependency graph. It will be removed in 8.0.0.** |


## [maven](detectors/maven.md)

| Property | Description |
| --- | --- |
| [detect.maven.include.plugins](detectors/maven.md#maven-include-plugins-deprecated) | default: false <br /><br /> Maven Include Plugins: Whether or not detect will include the plugins section when parsing a pom.xml in buildless legacy mode.  <br /><br /> **DEPRECATED: This property is being removed. The project inspector will be used to parse maven projects. Please configure the project inspector to include modules. It will be removed in 8.0.0.** |
| [detect.maven.buildless.legacy.mode](detectors/maven.md#maven-buildless-legacy-mode-deprecated) | default: true <br /><br /> Maven Buildless Legacy Mode: Legacy maven parsing supports plugins but the newer project inspector parser does not. Setting to false enables the project inspector for maven. <br /><br /> **DEPRECATED: This property is being removed. The legacy maven buildless parser is being replaced by the project inspector. It will be removed in 8.0.0.** |


## [blackduck-server](configuration/blackduck-server.md)

| Property | Description |
| --- | --- |
| [blackduck.legacy.upload.enabled](configuration/blackduck-server.md#use-legacy-bdio-upload-endpoints-in-black-duck-deprecated) | default: true <br /><br /> Use legacy BDIO upload endpoints in Black Duck: If set to true, Detect will upload the BDIO files to Black Duck using older REST APIs.  Set this to false if you want to use the intelligent persistent scan endpoints in Black Duck.  The intelligent persistent endpoints are a Black Duck feature to be used with a later Black Duck version. <br /><br /> **DEPRECATED: This property is being removed as support for the legacy endpoint is dropped. It will be removed in 8.0.0.** |


## [gradle](detectors/gradle.md)

| Property | Description |
| --- | --- |
| [detect.gradle.inspector.version](detectors/gradle.md#gradle-inspector-version-deprecated) | Gradle Inspector Version: The version of the Gradle Inspector that Detect should use. By default, Detect will try to automatically determine the correct Gradle Inspector version. <br /><br /> **DEPRECATED: This property is being removed because it no longer provides functionality. The gradle inspector library is no longer used to gather Gradle dependencies. The init script generated by Detect has all the necessary functionality. It will be removed in 8.0.0.** |


## [paths](configuration/paths.md)

| Property | Description |
| --- | --- |
| [detect.bdio2.enabled](configuration/paths.md#bdio-2-enabled-deprecated) | default: true <br /><br /> BDIO 2 Enabled: The version of BDIO files to generate. <br /><br /> **DEPRECATED: This property is being removed, along with the option to generate BDIO in BDIO1 format. In the future, BDIO2 format will be the only option. It will be removed in 8.0.0.** |

